package org.springblade.third.butt.iotdevice.service;

import org.springblade.core.tool.api.R;
import org.springblade.smartapplication.smartsmoke.entity.SmartDevice;
import org.springblade.third.butt.iotdevice.dto.AepIotDeviceQueryDto;

/**
 * Created By lidexi in 2021/7/14
 **/
public interface IAepDeviceManageService {

	/**
	 * 创建设备
	 * @return
	 */
	R registerDevice(SmartDevice iotDevice);
	/**
	 * 删除设备
	 * @return
	 */
	R deleteDevice(SmartDevice iotDevice);
	/**
	 * 查询设备
	 * @return
	 */
	R queryDevice(AepIotDeviceQueryDto aepIotDeviceQueryDto);
	/**
	 * 批量查询设备
	 * @return
	 */
	R queryDeviceList(AepIotDeviceQueryDto aepIotDeviceQueryDto);
	/**
	 * 批量查询设备
	 * @return
	 */
	R updateDevice();
}
